nxt.voting

## Class PollHome.Poll

- java.lang.Object
- - nxt.voting.AbstractPoll
  - - nxt.voting.PollHome.Poll

- Enclosing class:
    PollHome

      public final class PollHome.Poll
      extends AbstractPoll

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildChain` | `getChildChain()`
    `java.lang.String` | `getDescription()`
    `byte` | `getMaxNumberOfOptions()`
    `byte` | `getMaxRangeValue()`
    `byte` | `getMinNumberOfOptions()`
    `byte` | `getMinRangeValue()`
    `java.lang.String` | `getName()`
    `java.lang.String[]` | `getOptions()`
    `java.util.List<PollHome.OptionResult>` | `getResults()`
    `java.util.List<PollHome.OptionResult>` | `getResults(VoteWeighting voteWeighting)`
    `int` | `getTimestamp()`
    `DbIterator<VoteHome.Vote>` | `getVotes()`
    `VoteWeighting` | `getVoteWeighting()`
    `boolean` | `isFinished()`

    - ### Methods inherited from class nxt.voting.AbstractPoll

      `getAccountId, getFinishHeight, getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getResults

          public java.util.List<PollHome.OptionResult> getResults(VoteWeighting voteWeighting)

    - #### getVoteWeighting

          public VoteWeighting getVoteWeighting()

    - #### getResults

          public java.util.List<PollHome.OptionResult> getResults()

    - #### getVotes

          public DbIterator<VoteHome.Vote> getVotes()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getOptions

          public java.lang.String[] getOptions()

    - #### getMinNumberOfOptions

          public byte getMinNumberOfOptions()

    - #### getMaxNumberOfOptions

          public byte getMaxNumberOfOptions()

    - #### getMinRangeValue

          public byte getMinRangeValue()

    - #### getMaxRangeValue

          public byte getMaxRangeValue()

    - #### getTimestamp

          public int getTimestamp()

    - #### isFinished

          public boolean isFinished()

    - #### getChildChain

          public ChildChain getChildChain()